Bug 87119 - [patch] encode copyright and such symbolically
Summary: [patch] encode copyright and such symbolically
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-08 13:20 UTC by Vladimir Tchoukharev
Modified: 2017-12-31 22:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Tchoukharev 2005-10-08 13:20:18 UTC
------------v8n0bsz4DsnyHkR03cn8rM
Content-Type: text/plain; format=flowed; delsp=yes; charset=iso-8859-15
Content-Transfer-Encoding: 8bit


This is a request for minor improvement of the web site. In some rear
cases the direct encoding of the symbols like Copyright is rendered incorrectly,
while the same encoded as © is shown correctly. In other cases both encodings
do not result in the correct one-symbol appearence, but the latter has addvantage
of being showing the meaning of the symbol.

Examples of the described situations:
w3m/lynx browser on a dumb terminal (links seems to cope with it).
Opera 8 with encoding set to koi8-r (e.g. due to previous visited site bad design).

> How-To-Repeat:
Try w3m http://freebsd.org from gnome terminal with ASCII encoding.

Congrats with generally great design!

-- 
V.Chukharev

> Fix:
------------v8n0bsz4DsnyHkR03cn8rM
Content-Disposition: attachment; filename=index.patch
Content-Type: application/octet-stream; name=index.patch
Content-Transfer-Encoding: Base64
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------------v8n0bsz4DsnyHkR03cn8rM--
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-10-08 14:05:50 UTC
Class Changed
From-To: sw-bug->change-request

Rescue this PR from the 'pending' category. 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-10-08 14:05:50 UTC
Responsible Changed
From-To: gnats-admin->freebsd-www
Comment 3 Vladimir Tchoukharev 2005-10-08 22:11:19 UTC
After I had sent the PR I realized the patch is for the wrong file -
it's index.xsl to be patched, not index.html.

The xsl file has all the special symbols written the same way,
as &#nnnn; and some of them are kept in this format in
the html file, while the others are  transformed to
just a byte with the given code.

I do not know how to fix this right. Can the entities
©, ® etc be used in xsl files? I think this form
is better than &#nnnn;, at least in html files.

-- 
V.Chukharev

PS. Unfortunately Opera encoded the attached patch into base64
in the original PR, I put it here again in plain text.

--- index.html.old	Sat Oct  8 14:05:08 2005
+++ index.html	Sat Oct  8 14:22:02 2005
@@ -128,14 +128,14 @@
                <div id="frontfeaturecontainer">
                  <div id="frontfeatureleft">
                    <div id="frontfeaturecontent">
-                    <h1>Based on BSD UNIX®</h1>
+                    <h1>Based on BSD UNIX&reg;</h1>

                      <p>FreeBSD is an advanced operating system for
-                    x86 compatible (including Pentium® and Athlon
+                    x86 compatible (including Pentium&reg; and Athlon
                      &#8482;), amd64 compatible (including Opteron
                      &#8482;, Athlon 64, and EM64T), Alpha/AXP,
-                    IA-64, PC-98 and UltraSPARC® architectures. It
-                    is derived from BSD, the version of UNIX®
+                    IA-64, PC-98 and UltraSPARC&reg; architectures. It
+                    is derived from BSD, the version of UNIX&reg;
                      developed at the University of California,
                      Berkeley. It is developed and maintained by a
                      <a
@@ -145,7 +145,7 @@
                      various stages of development.</p>

                      <div id="txtfrontfeaturelink">
-                      »<a href="./about.html"
+                      &raquo;<a href="./about.html"
                        title="Learn More">Learn More</a>
                      </div>
                    </div>
@@ -1042,7 +1042,7 @@
          </div>

          <div id="footer">
-          <a href="./copyright/">Legal Notices</a> | © 1995-2005
+          <a href="./copyright/">Legal Notices</a> | &copy; 1995-2005
            The FreeBSD Project. All rights reserved.<br />
            $FreeBSD: www/en/index.xsl,v 1.133 2005/10/07 02:51:55
            murray Exp $
Comment 4 Remko Lodder freebsd_committer 2005-10-09 14:02:11 UTC
State Changed
From-To: open->closed

As ceri noticed; this is not possible within our xsl sheets. 
Therefor we cannot do anything with this. Close the PR. 
Thanks for the notice however! 


Comment 5 Remko Lodder freebsd_committer 2005-10-09 14:02:11 UTC
Responsible Changed
From-To: freebsd-www->remko

I touched this last; make me responsible.
Comment 6 Remko Lodder freebsd_committer 2005-10-09 14:20:59 UTC
State Changed
From-To: closed->open

Reopen the PR after Hiroki told me that it is not a good 
idea to close something like this without a proper workaround 
or solution. My apologies for that. 


Comment 7 Remko Lodder freebsd_committer 2005-10-09 14:20:59 UTC
Responsible Changed
From-To: remko->hrs

Make hrs responsible on his request.
Comment 8 Vladimir Tchoukharev 2005-10-09 17:21:04 UTC
I tryed to find if tide can help in this. It seems it can.
Currently tide is run with option -raw. When this is
changed to -ascii it produces symbolic entities. I cannot
check myself if -ascii will make trubles if set globally,
but for main web page it seems OK.

Hope that helps.
-- 
V.Chukharev
Comment 9 Hiroki Sato freebsd_committer 2005-10-10 09:02:13 UTC
----Security_Multipart(Mon_Oct_10_17_02_13_2005_291)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

ch>  I tryed to find if tide can help in this. It seems it can.
ch>  Currently tide is run with option -raw. When this is
ch>  changed to -ascii it produces symbolic entities. I cannot
ch>  check myself if -ascii will make trubles if set globally,
ch>  but for main web page it seems OK.

 Using tidy to re-encode &#xxx; to &foo; does not work for
 encodings other than 7-bit ones (like ASCII) because
 8-bit characters will also be re-encoded as entity references.
 So we have to put no numeric entity reference at XML->HTML stage.
 I have some ideas to realize that.  Please give me some more time.
 Thanks.

--
| Hiroki SATO

----Security_Multipart(Mon_Oct_10_17_02_13_2005_291)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (FreeBSD)

iD8DBQBDSiAHTyzT2CeTzy0RAr5GAJ42Li0Wqc45aiHsWZapGuChGCumvACgs9MN
iwpudPLuN9WLGQIfA+4bCLg=
=VB0N
-----END PGP SIGNATURE-----

----Security_Multipart(Mon_Oct_10_17_02_13_2005_291)----
Comment 10 Gabor Kovesdan freebsd_committer 2007-03-19 21:23:05 UTC
Hello Hiroki,

I noticed that this is a really old PR and we had a big cleanup from you 
since then. I think it can be closed now. What do you think?

Regards,
Gabor
Comment 11 Eitan Adler freebsd_committer freebsd_triage 2011-03-15 17:05:17 UTC
I'm *still* able to reproduce this bug on a dumb terminal and both w3m and lynx.

-- 
Eitan Adler
Comment 12 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:23 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped